---
lang: en
title: 'API docs: rest.apiexploreroptions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.apiexploreroptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [ApiExplorerOptions](./rest.apiexploreroptions.md)

## ApiExplorerOptions interface

**Signature:**

```typescript
export interface ApiExplorerOptions 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[disabled?](./rest.apiexploreroptions.disabled.md)


</td><td>


</td><td>

true


</td><td>

_(Optional)_ Set this flag to disable the built-in redirect to externally hosted API Explorer UI.


</td></tr>
<tr><td>

[httpUrl?](./rest.apiexploreroptions.httpurl.md)


</td><td>


</td><td>

string


</td><td>

_(Optional)_ URL for the API explorer served over `http` protocol to deal with mixed content security imposed by browsers as the spec is exposed over `http` by default. See https://github.com/loopbackio/loopback-next/issues/1603


</td></tr>
<tr><td>

[url?](./rest.apiexploreroptions.url.md)


</td><td>


</td><td>

string


</td><td>

_(Optional)_ URL for the hosted API explorer UI default to https://loopback.io/api-explorer


</td></tr>
</tbody></table>


